## ros-foxy-sol-vendor 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(sol_vendor)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)

macro(build_sol)
  set(cmake_commands)
  set(cmake_configure_args -Wno-dev;-DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install)

  include(ExternalProject)
  externalproject_add(sol-ext
    GIT_REPOSITORY https://github.com/ThePhD/sol2.git
    GIT_TAG main
    TIMEOUT 6000
    ${cmake_commands}
    CMAKE_ARGS
      ${cmake_configure_args}
  )
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}
  )
endmacro()

build_sol()
ament_export_include_directories(include)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-sol-vendor (0.0.3-1focal) focal; urgency=high

  * Merge pull request #23 <https://github.com/OUXT-Polaris/sol_vendor/issues/23> from OUXT-Polaris/fix/license
    fix license
  * empty commit
  * modify description
  * fix license
  * Setup workflow (#22 <https://github.com/OUXT-Polaris/sol_vendor/issues/22>)
  * Setup workflow (#21 <https://github.com/OUXT-Polaris/sol_vendor/issues/21>)
  * Setup workflow (#20 <https://github.com/OUXT-Polaris/sol_vendor/issues/20>)
  * Setup workflow (#19 <https://github.com/OUXT-Polaris/sol_vendor/issues/19>)
  * Setup workflow (#18 <https://github.com/OUXT-Polaris/sol_vendor/issues/18>)
  * Setup workflow (#17 <https://github.com/OUXT-Polaris/sol_vendor/issues/17>)
  * Setup workflow (#16 <https://github.com/OUXT-Polaris/sol_vendor/issues/16>)
  * Setup workflow (#15 <https://github.com/OUXT-Polaris/sol_vendor/issues/15>)
  * Setup workflow (#14 <https://github.com/OUXT-Polaris/sol_vendor/issues/14>)
  * Setup build test workflow (#13 <https://github.com/OUXT-Polaris/sol_vendor/issues/13>)
  * Setup build test workflow (#12 <https://github.com/OUXT-Polaris/sol_vendor/issues/12>)
  * Merge pull request #11 <https://github.com/OUXT-Polaris/sol_vendor/issues/11> from OUXT-Polaris/workflow/build_test
    [Bot] Update workflow
  * remvoe old CI
  * update repos
  * Setup build test workflow
  * Setup scenario test workflow (#10 <https://github.com/OUXT-Polaris/sol_vendor/issues/10>)
  * Setup scenario test workflow (#9 <https://github.com/OUXT-Polaris/sol_vendor/issues/9>)
  * Setup scenario test workflow (#8 <https://github.com/OUXT-Polaris/sol_vendor/issues/8>)
  * Setup scenario test workflow (#7 <https://github.com/OUXT-Polaris/sol_vendor/issues/7>)
  * Contributors: Masaya Kataoka, MasayaKataoka, wam-v-tan

 -- Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>  Sun, 19 Dec 2021 15:00:00 -0000

ros-foxy-sol-vendor (0.0.2-1focal) focal; urgency=high

  * Merge branch 'main' of https://github.com/OUXT-Polaris/sol_vendor into main
  * update CHANGELOG
  * Setup scenario test workflow (#6 <https://github.com/OUXT-Polaris/sol_vendor/issues/6>)
  * Merge pull request #4 <https://github.com/OUXT-Polaris/sol_vendor/issues/4> from OUXT-Polaris/workflow/scenario_test
    [Bot] Update workflow
  * Setup scenario test workflow
  * Merge pull request #3 <https://github.com/OUXT-Polaris/sol_vendor/issues/3> from OUXT-Polaris/workflow/galactic
    update CI workflow for galactic
  * update .github/workflows/ROS2-Galactic.yaml
  * Contributors: Masaya Kataoka, robotx_buildfarm, wam-v-tan
  * Merge pull request #3 <https://github.com/OUXT-Polaris/sol_vendor/issues/3> from OUXT-Polaris/workflow/galactic
    update CI workflow for galactic
  * update .github/workflows/ROS2-Galactic.yaml
  * Contributors: Masaya Kataoka, robotx_buildfarm

 -- Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>  Mon, 16 Aug 2021 15:00:00 -0000

ros-foxy-sol-vendor (0.0.1-1focal) focal; urgency=high

  * Add package description
  * Merge pull request #1 <https://github.com/OUXT-Polaris/sol_vendor/issues/1> from OUXT-Polaris/workflow/foxy
    update CI workflow for foxy
  * Add CONTRIBUTING.md
  * update .github/workflows/ROS2-Foxy.yaml
  * update dependency.repos
  * Add CMakeLists.txt
  * Add package.xml
  * Initial commit
  * Contributors: HansRobo, Kotaro Yoshimoto, robotx_buildfarm

 -- Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>  Fri, 02 Jul 2021 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-sol-vendor
Section: misc
Priority: optional
Maintainer: Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ouxt-lint-common, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-sol-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: vendor package for the sol2 library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-sol-vendor//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
